org.icefaces.ace.component.accordion

## Enum AccordionBase.PropertyKeys

- java.lang.Object
- - java.lang.Enum<AccordionBase.PropertyKeys>
  - - org.icefaces.ace.component.accordion.AccordionBase.PropertyKeys

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<AccordionBase.PropertyKeys>
  Enclosing class:
    AccordionBase

      protected static enum AccordionBase.PropertyKeys
      extends java.lang.Enum<AccordionBase.PropertyKeys>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `activeIndex`
    `autoHeight`
    `cache`
    `collapsible`
    `disabled`
    `dynamic`
    `effect`
    `event`
    `fillSpace`
    `paneChangeListener`
    `style`
    `styleClass`
    `tabTitles`
    `widgetVar`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `toString()`
    `static AccordionBase.PropertyKeys` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static AccordionBase.PropertyKeys[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### activeIndex

          public static final AccordionBase.PropertyKeys activeIndex

    - #### autoHeight

          public static final AccordionBase.PropertyKeys autoHeight

    - #### cache

          public static final AccordionBase.PropertyKeys cache

    - #### collapsible

          public static final AccordionBase.PropertyKeys collapsible

    - #### disabled

          public static final AccordionBase.PropertyKeys disabled

    - #### dynamic

          public static final AccordionBase.PropertyKeys dynamic

    - #### effect

          public static final AccordionBase.PropertyKeys effect

    - #### event

          public static final AccordionBase.PropertyKeys event

    - #### fillSpace

          public static final AccordionBase.PropertyKeys fillSpace

    - #### paneChangeListener

          public static final AccordionBase.PropertyKeys paneChangeListener

    - #### style

          public static final AccordionBase.PropertyKeys style

    - #### styleClass

          public static final AccordionBase.PropertyKeys styleClass

    - #### widgetVar

          public static final AccordionBase.PropertyKeys widgetVar

    - #### tabTitles

          public static final AccordionBase.PropertyKeys tabTitles

  - ### Method Detail

    - #### values

          public static AccordionBase.PropertyKeys[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AccordionBase.PropertyKeys c : AccordionBase.PropertyKeys.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static AccordionBase.PropertyKeys valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Enum<AccordionBase.PropertyKeys>`

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.